org.apache.solr.util

## Class SolrLogLayout

- java.lang.Object
- - org.apache.log4j.Layout
  - - org.apache.solr.util.SolrLogLayout

- All Implemented Interfaces:
    org.apache.log4j.spi.OptionHandler

      public class SolrLogLayout
      extends org.apache.log4j.Layout

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SolrLogLayout.CoreInfo`
    `static class` | `SolrLogLayout.Method`
    `static interface` | `SolrLogLayout.TG` Add this interface to a thread group and the string returned by getTag() will appear in log statements of any threads under that group.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Map<String,String>` | `classAliases`
    `boolean` | `shorterFormat`

    - ### Fields inherited from class org.apache.log4j.Layout

      `LINE_SEP, LINE_SEP_LEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrLogLayout()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `_format(org.apache.log4j.spi.LoggingEvent event)`
    `void` | `activateOptions()`
    `void` | `appendThread(StringBuilder sb, org.apache.log4j.spi.LoggingEvent event)`
    `String` | `format(org.apache.log4j.spi.LoggingEvent event)`
    `boolean` | `ignoresThrowable()`
    `void` | `setShorterFormat()`

    - ### Methods inherited from class org.apache.log4j.Layout

      `getContentType, getFooter, getHeader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classAliases

          public Map<String,String> classAliases

    - #### shorterFormat

          public boolean shorterFormat

  - ### Constructor Detail

    - #### SolrLogLayout

          public SolrLogLayout()

  - ### Method Detail

    - #### appendThread

          public void appendThread(StringBuilder sb,
                                   org.apache.log4j.spi.LoggingEvent event)

    - #### format

          public String format(org.apache.log4j.spi.LoggingEvent event)

      Specified by:
        `format` in class `org.apache.log4j.Layout`

    - #### _format

          public String _format(org.apache.log4j.spi.LoggingEvent event)

    - #### setShorterFormat

          public void setShorterFormat()

    - #### activateOptions

          public void activateOptions()

    - #### ignoresThrowable

          public boolean ignoresThrowable()

      Specified by:
        `ignoresThrowable` in class `org.apache.log4j.Layout`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.